Package ghidra.rmi.trace

# Class TraceRmi.Addr

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessage
ghidra.rmi.trace.TraceRmi.Addr

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `TraceRmi.AddrOrBuilder`, `Serializable`

Enclosing class:
  `TraceRmi`

public static final class TraceRmi.Addr extends com.google.protobuf.GeneratedMessage implements TraceRmi.AddrOrBuilder
Protobuf type `ghidra.rmi.trace.Addr`

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `TraceRmi.Addr.Builder`
  Protobuf type `ghidra.rmi.trace.Addr`

  ## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

  `com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingT extends com.google.protobuf.Message,T>, com.google.protobuf.GeneratedMessage.UnusedPrivateParameter`

  ## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessage

  `com.google.protobuf.AbstractMessage.BuilderParent`

  ## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

  `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `OFFSET_FIELD_NUMBER`
  `static final int`
  `SPACE_FIELD_NUMBER`

  ### Fields inherited from class com.google.protobuf.GeneratedMessage

  `alwaysUseFieldBuilders, unknownFields`

  ### Fields inherited from class com.google.protobuf.AbstractMessage

  `memoizedSize`

  ### Fields inherited from class com.google.protobuf.AbstractMessageLite

  `memoizedHashCode`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `static TraceRmi.Addr`
  `getDefaultInstance()`
  `TraceRmi.Addr`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `long`
  `getOffset()`
  `uint64 offset = 2;`
  `com.google.protobuf.Parser<TraceRmi.Addr>`
  `getParserForType()`
  `int`
  `getSerializedSize()`
  `String`
  `getSpace()`
  `string space = 1;`
  `com.google.protobuf.ByteString`
  `getSpaceBytes()`
  `string space = 1;`
  `int`
  `hashCode()`
  `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `static TraceRmi.Addr.Builder`
  `newBuilder()`
  `static TraceRmi.Addr.Builder`
  `newBuilder(TraceRmi.Addr prototype)`
  `TraceRmi.Addr.Builder`
  `newBuilderForType()`
  `protected TraceRmi.Addr.Builder`
  `newBuilderForType(com.google.protobuf.AbstractMessage.BuilderParent parent)`
  `static TraceRmi.Addr`
  `parseDelimitedFrom(InputStream input)`
  `static TraceRmi.Addr`
  `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static TraceRmi.Addr`
  `parseFrom(byte[] data)`
  `static TraceRmi.Addr`
  `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static TraceRmi.Addr`
  `parseFrom(com.google.protobuf.ByteString data)`
  `static TraceRmi.Addr`
  `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static TraceRmi.Addr`
  `parseFrom(com.google.protobuf.CodedInputStream input)`
  `static TraceRmi.Addr`
  `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static TraceRmi.Addr`
  `parseFrom(InputStream input)`
  `static TraceRmi.Addr`
  `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static TraceRmi.Addr`
  `parseFrom(ByteBuffer data)`
  `static TraceRmi.Addr`
  `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static com.google.protobuf.Parser<TraceRmi.Addr>`
  `parser()`
  `TraceRmi.Addr.Builder`
  `toBuilder()`
  `void`
  `writeTo(com.google.protobuf.CodedOutputStream output)`

  ### Methods inherited from class com.google.protobuf.GeneratedMessage

  `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

  ### Methods inherited from class com.google.protobuf.AbstractMessage

  `findInitializationErrors, getInitializationErrorString, hashFields, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite

  `addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.MessageLite

  `toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Field Details

  - ### SPACE_FIELD_NUMBER

    public static final int SPACE_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### OFFSET_FIELD_NUMBER

    public static final int OFFSET_FIELD_NUMBER
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

  - ### getSpace

    public String getSpace()
    `string space = 1;`
    Specified by:
      `getSpace` in interface `TraceRmi.AddrOrBuilder`
    Returns:
      The space.

  - ### getSpaceBytes

    public com.google.protobuf.ByteString getSpaceBytes()
    `string space = 1;`
    Specified by:
      `getSpaceBytes` in interface `TraceRmi.AddrOrBuilder`
    Returns:
      The bytes for space.

  - ### getOffset

    public long getOffset()
    `uint64 offset = 2;`
    Specified by:
      `getOffset` in interface `TraceRmi.AddrOrBuilder`
    Returns:
      The offset.

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessage`

  - ### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException
    Specified by:
      `writeTo` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `writeTo` in class `com.google.protobuf.GeneratedMessage`
    Throws:
      `IOException`

  - ### getSerializedSize

    public int getSerializedSize()
    Specified by:
      `getSerializedSize` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `getSerializedSize` in class `com.google.protobuf.GeneratedMessage`

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in interface `com.google.protobuf.Message`
    Overrides:
      `equals` in class `com.google.protobuf.AbstractMessage`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `com.google.protobuf.Message`
    Overrides:
      `hashCode` in class `com.google.protobuf.AbstractMessage`

  - ### parseFrom

    public static TraceRmi.Addr parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static TraceRmi.Addr parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static TraceRmi.Addr parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static TraceRmi.Addr parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static TraceRmi.Addr parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static TraceRmi.Addr parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static TraceRmi.Addr parseFrom(InputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static TraceRmi.Addr parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### parseDelimitedFrom

    public static TraceRmi.Addr parseDelimitedFrom(InputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseDelimitedFrom

    public static TraceRmi.Addr parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static TraceRmi.Addr parseFrom(com.google.protobuf.CodedInputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static TraceRmi.Addr parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### newBuilderForType

    public TraceRmi.Addr.Builder newBuilderForType()
    Specified by:
      `newBuilderForType` in interface `com.google.protobuf.Message`
    Specified by:
      `newBuilderForType` in interface `com.google.protobuf.MessageLite`

  - ### newBuilder

    public static TraceRmi.Addr.Builder newBuilder()

  - ### newBuilder

    public static TraceRmi.Addr.Builder newBuilder(TraceRmi.Addr prototype)

  - ### toBuilder

    public TraceRmi.Addr.Builder toBuilder()
    Specified by:
      `toBuilder` in interface `com.google.protobuf.Message`
    Specified by:
      `toBuilder` in interface `com.google.protobuf.MessageLite`

  - ### newBuilderForType

    protected TraceRmi.Addr.Builder newBuilderForType(com.google.protobuf.AbstractMessage.BuilderParent parent)
    Overrides:
      `newBuilderForType` in class `com.google.protobuf.AbstractMessage`

  - ### getDefaultInstance

    public static TraceRmi.Addr getDefaultInstance()

  - ### parser

    public static com.google.protobuf.Parser<TraceRmi.Addr> parser()

  - ### getParserForType

    public com.google.protobuf.Parser<TraceRmi.Addr> getParserForType()
    Specified by:
      `getParserForType` in interface `com.google.protobuf.Message`
    Specified by:
      `getParserForType` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `getParserForType` in class `com.google.protobuf.GeneratedMessage`

  - ### getDefaultInstanceForType

    public TraceRmi.Addr getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`